Bug 220324 - startx not working as normal user
startx not working as normal user
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-12-20 08:47 EST by Keith Roberts
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-24 16:38:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Keith Roberts 2006-12-20 08:47:22 EST
Description of problem:

startx fails to run with the following error(s):

fedora-laptop login: benny
Last login: Tue Dec 12 19:25:19 on tty3
[benny@fedora-laptop ~]$ startx
xauth:  creating new authority file /home/benny/.serverauth.2196
xauth: (stdin):2:  unknown command "32b8fb981fb5a9df880e7caf28eddd82"

Fatal server error:
Cannot move old log file ("/var/log/Xorg.0.log" to "/var/log/Xorg.0.log.old

Version-Release number of selected component (if applicable):
KDE 3.5.5.-1.fc7 Fedora Core

Problem solved:

Here is the solution:

 I changed the permissions of the Xorg file to:

 [root@fedora-laptop bin]# chmod u+s ./Xorg
 [root@fedora-laptop bin]# ls -lc Xorg
 -rws--x--x 1 root root 1820836 Dec 12 20:02 Xorg

 and I can start X as a normal user again.

 Note: on FC6 Xorg is in /usr/bin/Xorg

 not in /usr/X11R6/bin/Xorg
Comment 2 Adam Jackson 2007-01-04 12:43:30 EST
What version of xorg-x11-server did you have installed?  The server should never
lose the SUID bit unless you did something weird.
Comment 3 Keith Roberts 2007-01-04 13:26:21 EST
Here are the first few lines from /var/log/Xorg.0.log

X Window System Version 7.1.1
Release Date: 12 May 2006
X Protocol Version 11, Revision 0, Release 7.1.1
Build Operating System: Linux 2.6.9-34.ELsmp i686 Red Hat, Inc.
Current Operating System: Linux fedora-laptop 2.6.18-1.2868.fc6 #1 SMP Fri
Build Date: 01 December 2006
Build ID: xorg-x11-server 1.1.1-47.2.fc6

After the default install of FC6, I removed Gnome and replaced it with KDE
desktop. But I had been using KDE for some days before the problem occured. 
Comment 4 Adam Jackson 2007-01-24 16:38:58 EST
That package appears to have the correct permissions, and I can't reproduce the
problem locally.  So unfortunately, I can't work this bug any further.

Please reopen if you can isolate the change that introduced this problem.
Comment 5 Keith Roberts 2007-01-24 17:49:50 EST
I'm wondering if the problem was caused by me removing the default installation
of GNOME, and then replacing it with KDE? I did this is a rather 'non-standard'
way after GNOME was installed as the default desktop. I have found the option to
install KDE by default now instead of GNOME, from the 'customize software
selection' in the installation script. Hopefully this will prevent the problem
from occuring again.

Note You need to log in before you can comment on or make changes to this bug.